## munipack 0.5.10

=== wxMathPlot/CMakeLists.txt ===
# Main wxMathPlot CMakeLists.txt
# Manage project
#
# Author: Davide Rondini
# Last Update: 2009-01-15
# License: wxWindows license

# Set CMake flags to enable compatibility both with 2.4 and 2.6
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
      cmake_policy(SET CMP0003 OLD)
endif(COMMAND cmake_policy)

project(wxMathPlot)

# Create options to be chosen by the user:
if(UNIX)
    SET(LINUX_64_32_CROSSCOMPILE OFF CACHE BOOL "Cross compile from Linux x86_64 to Linux x86?")
    SET(GDB_DEBUG OFF CACHE BOOL "Build with gdb debugger support?")
endif(UNIX)
# Option for any platform
SET(MATHPLOT_SHARED OFF CACHE BOOL "Create wxMathPlot as a shared library?")
SET(MATHPLOT_DO_LOGGING OFF CACHE BOOL "Build with verbose debugging messages?")

if(LINUX_64_32_CROSSCOMPILE)
    message(STATUS "Cross compiling from Linux x86_64 to Linux x86")
     set(CMAKE_LIBRARY_PATH "/usr/lib")
     set(CMAKE_SYSTEM_LIBRARY_PATH "/usr/lib")
     set(CMAKE_SYSTEM_PREFIX_PATH "/usr")
else(LINUX_64_32_CROSSCOMPILE)
    message(STATUS "Native build")
endif(LINUX_64_32_CROSSCOMPILE)
# message(STATUS "CMAKE_LIBRARY_PATH: " ${CMAKE_LIBRARY_PATH})

SET(wxWidgets_USE_LIBS base core)
find_package(wxWidgets)
if(wxWidgets_FOUND)
#     message(STATUS ${wxWidgets_LIBRARIES})
    include(${wxWidgets_USE_FILE})
	if(MATHPLOT_SHARED)
		add_library(mathplot SHARED mathplot.cpp mathplot.h)
	else(MATHPLOT_SHARED)
		add_library(mathplot STATIC mathplot.cpp mathplot.h)
	endif(MATHPLOT_SHARED)
    if(LINUX_64_32_CROSSCOMPILE)
        set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-m32 -DwxSIZE_T_IS_UINT" )
        set_target_properties(mathplot PROPERTIES LINK_FLAGS "-m32 ") # -L${CMAKE_LIBRARY_PATH}
    endif(LINUX_64_32_CROSSCOMPILE)
    if(GDB_DEBUG)
        set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-g -ggdb -Wall -pg -O0" )
        set_target_properties(mathplot PROPERTIES LINK_FLAGS "-g -ggdb -Wall -pg -O0")
		if (MATHPLOT_DO_LOGGING)
			set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-g -ggdb -Wall  -pg -O0 -DMATHPLOT_DO_LOGGING" )
		endif(MATHPLOT_DO_LOGGING)
    endif(GDB_DEBUG)
    if(LINUX_64_32_CROSSCOMPILE AND GDB_DEBUG)
        set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-m32 -g -ggdb -pg -O0 -DwxSIZE_T_IS_UINT" )
        set_target_properties(mathplot PROPERTIES LINK_FLAGS "-m32  -g -ggdb -pg -O0")
		if (MATHPLOT_DO_LOGGING)
			set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-m32 -g -ggdb -Wall -pg -O0 -DMATHPLOT_DO_LOGGING" )
		endif(MATHPLOT_DO_LOGGING)
    endif(LINUX_64_32_CROSSCOMPILE AND GDB_DEBUG)
    target_link_libraries(mathplot ${wxWidgets_LIBRARIES})

    # Compile samples?
    SET( WXMATHPLOT_BUILD_EXAMPLES ON CACHE BOOL "Build examples?")
    IF(WXMATHPLOT_BUILD_EXAMPLES)
        add_subdirectory(samples)
    ENDIF(WXMATHPLOT_BUILD_EXAMPLES)
	
	# library installation
    if(UNIX)
        if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
            set(LIBRARY_APPEND_PATH lib64)
        else(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
            set(LIBRARY_APPEND_PATH lib)
        endif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
		install(TARGETS mathplot
            RUNTIME DESTINATION bin
            LIBRARY DESTINATION ${LIBRARY_APPEND_PATH}
            ARCHIVE DESTINATION ${LIBRARY_APPEND_PATH}
        )
        set(WXMATHPLOT_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/wxMathPlot/)
        install(FILES Doxyfile DESTINATION ${WXMATHPLOT_INSTALL_DIR}/)
		install(FILES mathplot.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/)
		install(FILES samples/sample1/mp1.cpp samples/sample1/CMakeLists.txt DESTINATION ${WXMATHPLOT_INSTALL_DIR}/samples/sample1)
		install(FILES samples/sample2/mp2.cpp samples/sample2/CMakeLists.txt DESTINATION ${WXMATHPLOT_INSTALL_DIR}/samples/sample2)
		install(FILES samples/sample3/sample3.cpp samples/sample3/CMakeLists.txt samples/sample3/gridmap.png DESTINATION ${WXMATHPLOT_INSTALL_DIR}/samples/sample3)
    else(UNIX)
    endif(UNIX)

else(wxWidgets_FOUND)
    MESSAGE("wxWidgets not found!")
endif(wxWidgets_FOUND)

## munipack 0.5.7

=== debian/changelog ===
munipack (0.5.7-2) unstable; urgency=low

  * Updated dependency. (Closes: #844029)
  * Corrected CI tests, multi-arch and metadata.

 -- Filip Hroch <hroch@physics.muni.cz>  Sat, 12 Nov 2016 15:07:36 +0100

munipack (0.5.7-1) unstable; urgency=low

  * Initial release. (Closes: #824746)

 -- Filip Hroch <hroch@physics.muni.cz>  Tue, 25 Oct 2016 23:54:02 +0200

=== debian/control ===
Source: munipack
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Filip Hroch <hroch@physics.muni.cz>
Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, g++ (>=4.7), libcfitsio-dev, libwxgtk3.0-dev, minpack-dev
Standards-Version: 3.9.8
Homepage: http://munipack.physics.muni.cz/
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/munipack.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/munipack.git

Package: munipack
Architecture: any
Depends: munipack-gui, munipack-cli, munipack-doc, ${misc:Depends}
Description: Astronomical photometry software package
 Munipack is a general astronomical photometry software package.
 Currently implements functions for standard photometry processing
 (photometry reductions - dark, flat), aperture  photometry, astrometry
 and photometry calibration, accessing Virtual observatory, etc.
 .
 This is a dependency package providing recommended complete installation.


Package: munipack-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Core routines of Munipack
 Munipack is a general astronomical photometry software package.
 Currently implements functions for standard photometry processing
 (photometry reductions - dark, flat), aperture  photometry, astrometry
 and photometry calibration, accessing Virtual observatory, etc.
 .
 This package contains the core routines. Ones are implemented in Fortran
 and partly in C++ as independent binaries. Data are provided via
 standard input and output. None additional dependency is required
 but direct usage should by hard.

Package: munipack-cli
Architecture: any
Depends: munipack-core, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuplot
Suggests: fitspng
Description: Command line interface of Munipack
 Munipack is a general astronomical photometry software package.
 Currently implements functions for standard photometry processing
 (photometry reductions - dark, flat), aperture  photometry, astrometry
 and photometry calibration, accessing Virtual observatory, etc.
 .
 This package provides "munipack" command which offers command line
 interface for Munipack. Also provides Virtual Observatory support.

Package: munipack-gui
Architecture: any
Depends: munipack-core, ${shlibs:Depends}, ${misc:Depends}
Suggests: rawtran
Description: Graphical user interface of Munipack
 Munipack is a general astronomical photometry software package.
 Currently implements functions for standard photometry processing
 (photometry reductions - dark, flat), aperture  photometry, astrometry
 and photometry calibration, accessing Virtual observatory, etc.
 .
 This package provides "xmunipack" command which offers graphical
 user interface for Munipack.

Package: munipack-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation of Munipack
 Munipack is a general astronomical photometry software package.
 Currently implements functions for standard photometry processing
 (photometry reductions - dark, flat), aperture  photometry, astrometry
 and photometry calibration, accessing Virtual observatory, etc.
 .
 This package contains extensive documentation (guide, tutorials,
 description of data formats).

=== debian/tests/control ===

Tests: check.sh
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=3
ftp://integral.physics.muni.cz/pub/munipack/munipack-(0\.[0-9]+\.[0-9]+)\.tar\.gz debian uupdate

## munipack 0.5.9

=== debian/changelog ===
munipack (0.5.9-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 19:13:25 +0000

munipack (0.5.9-1) unstable; urgency=low

  * New upstream version

 -- Filip Hroch <hroch@physics.muni.cz>  Tue, 18 Jul 2017 02:11:38 +0200

munipack (0.5.8-2) unstable; urgency=low

  * Corrected upstream version, updated debian control files.

 -- Filip Hroch <hroch@physics.muni.cz>  Fri, 14 Jul 2017 13:46:31 +0200

munipack (0.5.8-1) unstable; urgency=low

  * New upstream version

 -- Filip Hroch <hroch@physics.muni.cz>  Thu, 13 Jul 2017 13:52:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
-Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, g++ (>=4.7), libcfitsio-dev, libwxgtk3.0-dev, minpack-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-dev, minpack-dev
+Standards-Version: 4.0.0
 Homepage: http://munipack.physics.muni.cz/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/munipack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/munipack.git

## munipack 0.5.10

=== debian/changelog ===
munipack (0.5.10-2) unstable; urgency=low

  * Fixed order of compilation of libvotable, the recent Automake issue
    honours the way. A little patch included, I also updated upstream,
    the patch will be removed. Closes: #906387
  * Updated to latest Debian standards.

 -- Filip Hroch <hroch@physics.muni.cz>  Mon, 20 Aug 2018 10:25:13 +0200

munipack (0.5.10-1) unstable; urgency=low

  * New upstream version, updated debian control files by recent standards.

 -- Filip Hroch <hroch@physics.muni.cz>  Wed, 17 Jan 2018 19:31:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
-Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-dev, minpack-dev
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-dev, minpack-dev
+Standards-Version: 4.2.0
 Homepage: http://munipack.physics.muni.cz/
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/munipack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/munipack.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/munipack.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack.git
 
 Package: munipack
-Architecture: any
+Architecture: all
 Depends: munipack-gui, munipack-cli, munipack-doc, ${misc:Depends}
 Description: Astronomical photometry software package
  Munipack is a general astronomical photometry software package.
@@ -23,6 +23,7 @@
 
 Package: munipack-core
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Core routines of Munipack
  Munipack is a general astronomical photometry software package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use to prevent less important (underflow/inexact/..) summary reports
# (man dpkg-buildflags).
export DEB_FCFLAGS_MAINT_APPEND = -ffpe-summary=invalid,zero,overflow

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --no-parallel

# A parallel build is disabled to prevent use of not yet prepared
# Fortran modules during long compilations.

## munipack 0.5.11

=== wxMathPlot/samples/sample3/CMakeLists.txt ===
# wxMathPlot Sample3 CMakeLists.txt
#
# Author: Davide Rondini
# Last Update: 2008-02-20
# License: wxWindows license

# Set CMake flags to enable compatibility both with 2.4 and 2.6
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
      cmake_policy(SET CMP0003 OLD)
endif(COMMAND cmake_policy)

SET(wxWidgets_USE_LIBS base core)
find_package(wxWidgets)
if(wxWidgets_FOUND)
    include(${wxWidgets_USE_FILE})

	include_directories(../..)
	
	add_executable(mpSample3 sample3.cpp)
	# Under Windows, the target type must be WINDOWS, not CONSOLE
	if(WIN32 AND MSVC)
		set_target_properties(mpSample3 PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS")
	endif(WIN32 AND MSVC)
	# Linux cross compiling to x86 from x86_64 distribution
	if(LINUX_64_32_CROSSCOMPILE)
		set_source_files_properties(sample3.cpp PROPERTIES COMPILE_FLAGS "-m32 -DwxSIZE_T_IS_UINT")
		set_target_properties(mpSample3 PROPERTIES LINK_FLAGS "-m32")
	endif(LINUX_64_32_CROSSCOMPILE)
	target_link_libraries(mpSample3 ${wxWidgets_LIBRARIES} mathplot)
endif(wxWidgets_FOUND)

=== debian/changelog ===
munipack (0.5.11-2.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:54 +0100

munipack (0.5.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against GTK+3 flavour of wxWidgets (Closes: #933440)

 -- Olly Betts <olly@survex.com>  Mon, 07 Oct 2019 12:09:32 +1300

munipack (0.5.11-2) unstable; urgency=medium

  * Bugfix: ftbfs with ld --as-needed, thx to M. Klose. (Closes: #920426)

 -- Filip Hroch <hroch@physics.muni.cz>  Sun, 27 Jan 2019 19:45:05 +0100

munipack (0.5.11-1) unstable; urgency=low

  * New upstream version.
  * Removed automake patch, merged to upstream.
  * Removed Minpack copyright notice: Minpack has been removed from upstream.
  * Reformatted copyright file.
  * Updated .install files according to latest changes in upstream.
  * Updated metadata.
  * Updated test script, dropped Cone search in VO via network.
  * Added lintian overrides.
  * Updated to latest Debian standards.

 -- Filip Hroch <hroch@physics.muni.cz>  Wed, 23 Jan 2019 01:09:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
-Build-Depends: debhelper (>= 11), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-dev, minpack-dev
-Standards-Version: 4.2.0
+Build-Depends: debhelper (>= 11), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev
+Standards-Version: 4.3.0
 Homepage: http://munipack.physics.muni.cz/
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack
 Vcs-Git: https://salsa.debian.org/debian-astro-team/munipack.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack.git
 
 Package: munipack
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,13 @@
 # (man dpkg-buildflags).
 export DEB_FCFLAGS_MAINT_APPEND = -ffpe-summary=invalid,zero,overflow
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+#export DEB_CFLAGS_MAINT_APPEND = -O4 -DNEBUG
+#export DEB_CXXFLAGS_MAINT_APPEND = -O4 -DNEBUG
 
 %:
 	dh $@ --no-parallel
 
-# A parallel build is disabled to prevent use of not yet prepared
+# A parallel build is disabled to prevent use of not ready
 # Fortran modules during long compilations.

=== debian/watch ===
version=4
ftp://integral.physics.muni.cz/pub/munipack/munipack-(0\.[0-9]+\.[0-9]+)\.tar\.gz debian uupdate

## munipack 0.5.12

=== debian/changelog ===
munipack (0.5.12-1) unstable; urgency=medium

  * New upstream release (Closes: #957572)
  * Patch fixing #920426 removed; fixed in upstream.
  * Updated paths in .install (dependent binaries moved to usr/libexec),
    .docs has full paths.
  * Removed debian/compat, replaced by debhelper-compat() in control.
  * Removed support of wxgtk-webview (by upstream).
  * Updated control by latest standards: Rules-Requires-Root added,
    Multi-Arch removed in -core).
  * Updated lintian overrides: -missing-repository, -missing-bug-tracking.

 -- Filip Hroch <hroch@physics.muni.cz>  Mon, 30 Nov 2020 12:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
-Build-Depends: debhelper (>= 11), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://munipack.physics.muni.cz/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack
 Vcs-Git: https://salsa.debian.org/debian-astro-team/munipack.git
@@ -23,7 +24,6 @@
 
 Package: munipack-core
 Architecture: any
-Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Core routines of Munipack
  Munipack is a general astronomical photometry software package.

## munipack 0.5.13

=== debian/changelog ===
munipack (0.5.13-1) unstable; urgency=low

  * New upstream version solves cfitsio issue under arm64 (Closes: #977559)
  * Grow photometry scripts are under umbrella of docs package.
  * Updated Standards-version.

 -- Filip Hroch <hroch@physics.muni.cz>  Wed, 23 Dec 2020 12:01:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
 Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://munipack.physics.muni.cz/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Use to prevent less important (underflow/inexact/..) summary reports
-# (man dpkg-buildflags).
+# One suppresses of reports of unimportant floating-point exceptions
+# (underflow/inexact/denormal) for gfortran.
 export DEB_FCFLAGS_MAINT_APPEND = -ffpe-summary=invalid,zero,overflow
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 #export DEB_CFLAGS_MAINT_APPEND = -O4 -DNEBUG
 #export DEB_CXXFLAGS_MAINT_APPEND = -O4 -DNEBUG
@@ -21,5 +23,5 @@
 %:
 	dh $@ --no-parallel
 
-# A parallel build is disabled to prevent use of not ready
-# Fortran modules during long compilations.
+# Parallel builds are disabled at all. Autotols unproperly handles
+# of order of Fortran modules during compilation.

## munipack 0.5.14

=== wxMathPlot/samples/sample1/CMakeLists.txt ===
# wxMathPlot Sample1 CMakeLists.txt
#
# Author: Davide Rondini
# Last Update: 2008-02-20
# License: wxWindows license

# Set CMake flags to enable compatibility both with 2.4 and 2.6
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
      cmake_policy(SET CMP0003 OLD)
endif(COMMAND cmake_policy)

SET(wxWidgets_USE_LIBS base core)
find_package(wxWidgets)
if(wxWidgets_FOUND)
    include(${wxWidgets_USE_FILE})
	include_directories(../..)
	
	add_executable(mpSample1 mp1.cpp)
	# Under Visual C++, the target type must be WINDOWS, not CONSOLE
	if(WIN32 AND MSVC)
		set_target_properties(mpSample1 PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS")
	endif(WIN32 AND MSVC)
	# Linux cross compiling to x86 from x86_64 distribution
	if(LINUX_64_32_CROSSCOMPILE)
	#     set(CMAKE_LIBRARY_PATH "/usr/lib")
	#     set(CMAKE_SYSTEM_LIBRARY_PATH "/usr/lib")
	#     set(CMAKE_SYSTEM_PREFIX_PATH "/usr")
		set_source_files_properties(mp1.cpp PROPERTIES COMPILE_FLAGS "-m32 -DwxSIZE_T_IS_UINT")
		set_target_properties(mpSample1 PROPERTIES LINK_FLAGS "-m32")
	endif(LINUX_64_32_CROSSCOMPILE)
	
	target_link_libraries(mpSample1 ${wxWidgets_LIBRARIES} mathplot)
endif(wxWidgets_FOUND)

=== debian/changelog ===
munipack (0.5.14-2) unstable; urgency=medium

  * Team upload.
  * Upload with medium urgency for bullseye migration.

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 06 Feb 2021 23:47:53 +0530

munipack (0.5.14-1) unstable; urgency=low

  * New upstream version solves run-time crash while CI for i386, armhf.
  * Added freedesktop metainfo file for xmunipack, updated application icon,
    copyrights updated to reflect the metainfo licence.
  * All links are updated to https protocol. Upstream tarball is signed;
    both watch file and lintian-overrides are updated appropriately.
  * Updated check.sh script for CI tests -- one includes stronger result
    test; the script exits immediately when any command fails.

 -- Filip Hroch <hroch@physics.muni.cz>  Thu, 04 Feb 2021 21:20:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://munipack.physics.muni.cz/
+Homepage: https://munipack.physics.muni.cz/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack
 Vcs-Git: https://salsa.debian.org/debian-astro-team/munipack.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# One suppresses of reports of unimportant floating-point exceptions
-# (underflow/inexact/denormal) for gfortran.
+# These insignificant floating-point exceptions -- underflow/inexact/denormal
+# -- are suppressed for binaries compiled by gfortran.
 export DEB_FCFLAGS_MAINT_APPEND = -ffpe-summary=invalid,zero,overflow
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -23,5 +23,5 @@
 %:
 	dh $@ --no-parallel
 
-# Parallel builds are disabled at all. Autotols unproperly handles
-# of order of Fortran modules during compilation.
+# Parallel builds are disabled at all: order of Fortran modules
+# is handled improperly by Autotools during compilation.

## munipack 0.6.0

=== debian/changelog ===
munipack (0.6.0-1) unstable; urgency=low

  * New upstream version.
  * Updated build rules to improve run-time optimisation.

 -- Filip Hroch <hroch@physics.muni.cz>  Mon, 07 Mar 2022 17:04:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
-Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev, pkg-config, libplplot-dev
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://munipack.physics.muni.cz/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack
@@ -52,7 +52,7 @@
 
 Package: munipack-gui
 Architecture: any
-Depends: munipack-core, ${shlibs:Depends}, ${misc:Depends}
+Depends: munipack-core, plplot-driver-cairo, ${shlibs:Depends}, ${misc:Depends}
 Suggests: rawtran
 Description: Graphical user interface of Munipack
  Munipack is a general astronomical photometry software package.

## munipack 0.6.1

=== wxMathPlot/samples/CMakeLists.txt ===
# Manage samples
#
# Author: Davide Rondini
# Last Update: 2008-02-16
# License: wxWindows license

add_subdirectory(sample1)
add_subdirectory(sample2)
add_subdirectory(sample3)

=== wxMathPlot/samples/sample2/CMakeLists.txt ===
# wxMathPlot Sample2 CMakeLists.txt
#
# Author: Davide Rondini
# Last Update: 2008-02-20
# License: wxWindows license

# Set CMake flags to enable compatibility both with 2.4 and 2.6
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
      cmake_policy(SET CMP0003 OLD)
endif(COMMAND cmake_policy)

SET(wxWidgets_USE_LIBS base core)
find_package(wxWidgets)
if(wxWidgets_FOUND)
    include(${wxWidgets_USE_FILE})

	include_directories(../..)
	
	add_executable(mpSample2 mp2.cpp)
	# Under Windows, the target type must be WINDOWS, not CONSOLE
	if(WIN32 AND MSVC)
		set_target_properties(mpSample2 PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS")
	endif(WIN32 AND MSVC)
	# Linux cross compiling to x86 from x86_64 distribution
	if(LINUX_64_32_CROSSCOMPILE)
		set_source_files_properties(mp2.cpp PROPERTIES COMPILE_FLAGS "-m32 -DwxSIZE_T_IS_UINT")
		set_target_properties(mpSample2 PROPERTIES LINK_FLAGS "-m32")
	endif(LINUX_64_32_CROSSCOMPILE)
	target_link_libraries(mpSample2 ${wxWidgets_LIBRARIES} mathplot)
endif(wxWidgets_FOUND)

=== debian/changelog ===
munipack (0.6.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:14 +1100

munipack (0.6.1-1build2) noble; urgency=high

  * No change rebuild against libwxbase3.2-1t64, libcfitsio10t64,
    libwxgtk3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:00 +0100

munipack (0.6.1-1build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:43:58 +0000

munipack (0.6.1-1) unstable; urgency=low

  * New upstream version
  * Approved for wxWidgets 3.2 (Closes: #1019838)
  * Moved gnuplot from Recommends to Suggests

 -- Filip Hroch <hroch@physics.muni.cz>  Sun, 02 Oct 2022 19:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: munipack
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
-Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.0-gtk3-dev, minpack-dev, liboakleaf-dev, pkg-config, libplplot-dev
-Standards-Version: 4.6.0.1
+Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.2-dev, minpack-dev, liboakleaf-dev, pkg-config, libplplot-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://munipack.physics.muni.cz/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack
@@ -39,8 +40,7 @@
 Package: munipack-cli
 Architecture: any
 Depends: munipack-core, ${shlibs:Depends}, ${misc:Depends}
-Recommends: gnuplot
-Suggests: fitspng
+Suggests: fitspng, gnuplot
 Description: Command line interface of Munipack
  Munipack is a general astronomical photometry software package.
  Currently implements functions for standard photometry processing

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This gfortran setup reports only significant floating-point
# exceptions. All others (underflow/inexact/denormal) are suppressed.
export DEB_FCFLAGS_MAINT_APPEND = -ffpe-summary=invalid,zero,overflow

export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG

# https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


%:
	dh $@ --no-parallel

# Parallel builds are disabled at all, because the proper order of
# Fortran modules is handled improperly by Autotools during building.

## munipack 0.6.2

=== debian/changelog ===
munipack (0.6.2-1) unstable; urgency=low

  * New upstream version adopts recent changes in Oakleaf. Closes: #1095357
  * Tests are provided by upstream, the control script is updated.
  * The upstream allows parallel builds for C/C++.
  * Added automatic tests under Gitlab environment.
  * Updated to recent Debian standards.

 -- Filip Hroch <hroch@physics.muni.cz>  Fri, 14 Feb 2025 23:13:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: munipack
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Filip Hroch <hroch@physics.muni.cz>
-Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.2-dev, minpack-dev, liboakleaf-dev, pkg-config, libplplot-dev
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), gfortran, g++ (>= 6), libcfitsio-dev, libwxgtk3.2-dev, minpack-dev, liboakleaf-dev (>= 1), pkgconf, libplplot-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://munipack.physics.muni.cz/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/munipack

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 # This gfortran setup reports only significant floating-point
 # exceptions. All others (underflow/inexact/denormal) are suppressed.
-export DEB_FCFLAGS_MAINT_APPEND = -ffpe-summary=invalid,zero,overflow
+export DEB_FCFLAGS_MAINT_APPEND = -O2 -ffpe-summary=invalid,zero,overflow
 
-export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG
-export DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG
+export DEB_CFLAGS_MAINT_APPEND = -O2 -DNDEBUG
+export DEB_CXXFLAGS_MAINT_APPEND = -O2 -DNDEBUG
 
 # https://wiki.debian.org/Hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -23,7 +23,4 @@
 
 
 %:
-	dh $@ --no-parallel
-
-# Parallel builds are disabled at all, because the proper order of
-# Fortran modules is handled improperly by Autotools during building.
+	dh $@

=== debian/tests/control ===

Test-Command: ./configure && make check
Tests-Directory: test
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://integral.physics.muni.cz/ftp/munipack/munipack-(0\.[0-9]+\.[0-9]+)\.tar\.gz debian uupdate
